Loading...
Searching...
No Matches
halide_semaphore_acquire_t Struct Reference

A struct representing a semaphore and a number of items that must be acquired from it. More...

`#include <HalideRuntime.h>`

## Public Attributes

struct halide_semaphore_t * | semaphore
int | count

## Detailed Description

A struct representing a semaphore and a number of items that must be acquired from it.

Used in halide_parallel_task_t below.

Definition at line 248 of file HalideRuntime.h.

## Member Data Documentation

## semaphore

struct halide_semaphore_t* halide_semaphore_acquire_t::semaphore

Definition at line 249 of file HalideRuntime.h.

## count

int halide_semaphore_acquire_t::count

Definition at line 250 of file HalideRuntime.h.

The documentation for this struct was generated from the following file:

- src/runtime/HalideRuntime.h